## org.mortbay.cometd
Class AbstractBayeux.ConnectHandler

    java.lang.Object
      org.mortbay.cometd.AbstractBayeux.Handler
          org.mortbay.cometd.AbstractBayeux.ConnectHandler

Enclosing class:
  AbstractBayeux

    protected class AbstractBayeux.ConnectHandler

extends AbstractBayeux.Handler

Field Summary
`protected java.lang.String` `_metaChannel`

Constructor Summary
`protected` `AbstractBayeux.ConnectHandler()`

Method Summary
`void` `handle(ClientImpl client, Transport transport, org.cometd.Message message)`

Methods inherited from class org.mortbay.cometd.AbstractBayeux.Handler
`isClientUnknown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _metaChannel

    protected java.lang.String _metaChannel

Constructor Detail

### AbstractBayeux.ConnectHandler

    protected AbstractBayeux.ConnectHandler()

Method Detail

### handle

    public void handle(ClientImpl client,
                       Transport transport,
                       org.cometd.Message message)
                throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.